# Class StopReasonType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the stop reason type.

    public static class StopReasonType

Inheritance
  object
  StopReasonType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### EndTurn

Represents the end_turn stop reason.

    public const string EndTurn = "end_turn"

#### Field Value

string

### MaxTokens

Represents the max_tokens stop reason.

    public const string MaxTokens = "max_tokens"

#### Field Value

string

### StopSequence

Represents the stop_sequence stop reason.

    public const string StopSequence = "stop_sequence"

#### Field Value

string

### ToolUse

Represents the tool_use stop reason.

    public const string ToolUse = "tool_use"

#### Field Value

string